<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#moduleBlockTable').bootstrapTable({
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: true,
               //显示刷新按钮
               showRefresh: true,
               //显示切换手机试图按钮
               showToggle: true,
               //显示 内容列下拉框
    	       showColumns: true,
    	       //显示到处按钮
    	       showExport: true,
    	       //显示切换分页按钮
    	       showPaginationSwitch: true,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: true,
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 5,
               //可供选择的每页的行数（*）    
               pageList: [5,10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/managementcenter/moduleacquisition/data",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该表单记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/managementcenter/moduleacquisition/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#moduleBlockTable').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})
                   	   
                   	});
                      
                   } 
               },
              
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        checkbox: true
		       
		    }
                   ,{
                       field: 'mdSmallClass',
                       title: '模块名称'
                       ,formatter:function(value, row , index){

                           if(value == null || value ==""){
                               value = "-";
                           }
                           return "<a href='javascript:moduleList(\""+row.id+"\")'>"+value+"</a>";
                       }
                   }
			,{
		        field: 'mdBigClass',
		        title: '模块大类'
            }

                   ,{
                       field: 'mdTheClass',
                       title: '模块中类',

                   }
                   ,{
                       field: 'mdUnit',
                       title: '单位'
                   }
                   ,{
                       field: 'mdImg',
                       title: '附件',
                       formatter:function(value, row , index){
                       		if (value!=null&&value!=""){
                                var valueArray = value.split("|");
                                console.log(valueArray)
                                var labelArray = [];
                                for(var i =0 ; i<valueArray.length; i++){
                                    console.log(valueArray[i])
                                    if(!/\.(gif|jpg|jpeg|png|GIF|JPG|PNG)$/.test(valueArray[i]))
                                    {
                                        labelArray[i] = "<a href=\""+valueArray[i]+"\" url=\""+valueArray[i]+"\" target=\"_blank\">"+decodeURIComponent(valueArray[i].substring(valueArray[i].lastIndexOf("/")+1))+"</a>"
                                    }else{
                                        labelArray[i] = '<img   onclick="jp.showPic(\''+valueArray[i]+'\')"'+' height="50px" src="'+valueArray[i]+'">';
                                    }
                                }
                                return labelArray.join(" ");
							}

                       }
                   }
                   ,{
                       field: 'mdVersionName',
                       title: '版本名称'
                   }
		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#moduleBlockTable').bootstrapTable("toggleView");
		}
	  
	  $('#moduleBlockTable').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#moduleBlockTable').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#moduleBlockTable').bootstrapTable('getSelections').length!=1);
        });
		  
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [800, 300],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/managementcenter/moduleacquisition/importExcel" ,
			    btn: ['确定', '关闭'],
			    	btn1: function(index, layero){
				        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/managementcenter/moduleacquisition/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
						});//调用保存事件
						return false;
				  	},

				  btn2: function(index){
					//  jp.close(index);
	    	       }
			}); 
		});
    $("#insertVersion").click(function(){//生成新版本
        top.layer.open({
            type: 2,
            area: ["800px", "500px"],
            title: "请选择版本",
            auto:false,
            maxmin: true, //开启最大化最小化按钮
            content: "${ctx}/managementcenter/moduleacquisition/listVersion" ,
            btn: ['确定', '关闭'],
            yes: function(index, layero){
                var iframeWin = layero.find('iframe')[0]; //得到弹出的窗口对象，执行窗口内iframe页的方法：iframeWin.method();
				var versionId = iframeWin.contentWindow.getIdSelections();
				var versionName = iframeWin.contentWindow.getVersionName();
				var versionAlias = iframeWin.contentWindow.getVersionAlias();
				// alert(versionId+"----------"+versionName+"-----------"+versionAlias);
				if (null == versionName||versionName==""){
					jp.error("请填写版本名称");
					return false;
				}
				if (null == versionId || versionId == "") {
                    jp.error("请选择旧版本，在进行新增版本操作");
                    return false;
                }
                iframeWin.contentWindow.save();//调用保存事件，在 弹出页内，需要定义save方法。处理保存事件。
				jp.downloadFile("${ctx}/managementcenter/moduleacquisition/insertVersion?versionId="+versionId+"&versionName="+encodeURI(encodeURI(versionName))+"&versionAlias="+encodeURI(encodeURI(versionAlias)));

            },
            cancel: function(index){
            }
        });
    });

	$("#selectVersion").click(function(){//选择流程版本
		top.layer.open({
			type: 2,
			area: ["800px", "500px"],
			title: "请选择版本",
			auto:false,
			maxmin: true, //开启最大化最小化按钮
			content: "${ctx}/managementcenter/moduleacquisition/selectVersion" ,
			btn: ['确定', '关闭'],
			yes: function(index, layero){
				var iframeWin = layero.find('iframe')[0]; //得到弹出的窗口对象，执行窗口内iframe页的方法：iframeWin.method();
				iframeWin.contentWindow.save();//调用保存事件，在 弹出页内，需要定义save方法。处理保存事件。

			},
			cancel: function(index){
			}
		});
	});
		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#moduleBlockTable').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#moduleBlockTable').bootstrapTable('refresh');
		});
		
		$('#beginBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endBeginDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		$('#endDate').datetimepicker({
			 format: "YYYY-MM-DD HH:mm:ss"
		});
		
	});
		
  function getIdSelections() {
        return $.map($("#moduleBlockTable").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除该项目管理表单记录吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/managementcenter/moduleacquisition/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#moduleBlockTable').bootstrapTable('refresh');
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }

    //刷新列表
  function refresh(){
  	$('#moduleBlockTable').bootstrapTable('refresh');
  }

	function moduleList(id){//没有权限时，不显示确定按钮
		if(id == undefined){
			id = getIdSelections();
		}
		jp.openViewDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/moduleListing/list?blockId="+id, '800px', '500px');
	}

	 function view(id){//没有权限时，不显示确定按钮
		  if(id == undefined){
				 id = getIdSelections();
		  }
			jp.openViewDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/moduleListing/list", '800px', '500px');
	 }
	function edit(id){//没有权限时，不显示确定按钮
		if(id == undefined){
			id = getIdSelections();
		}
		jp.openSaveDialog('模块清单', "${ctx}/managementcenter/moduleacquisition/form1?id="+id, '800px', '500px');
	}


</script>